<?php
/**
 * Plugin Name: Pendid AI Studio
 * Plugin URI: https://pendid.com/docs/
 * Description: Generate AI images with your Pendid account and save them to the WordPress Media Library.
 * Version: 1.2.0
 * Requires at least: 6.4
 * Tested up to: 7.1
 * Requires PHP: 7.4
 * Author: Pendid
 * Author URI: https://pendid.com/
 * License: GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: pendid-ai-studio
 * Domain Path: /languages
 *
 * @package Pendid_AI_Studio
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'PENDID_AI_STUDIO_VERSION', '1.2.0' );
define( 'PENDID_AI_STUDIO_FILE', __FILE__ );
define( 'PENDID_AI_STUDIO_PATH', plugin_dir_path( __FILE__ ) );
define( 'PENDID_AI_STUDIO_URL', plugin_dir_url( __FILE__ ) );

require_once PENDID_AI_STUDIO_PATH . 'includes/class-pendid-ai-studio-plugin.php';

/**
 * Starts the plugin.
 *
 * @return void
 */
function pendid_ai_studio_run() {
	$plugin = new Pendid_AI_Studio_Plugin();
	$plugin->run();
}

pendid_ai_studio_run();
